/*
	거리의 단위 m 최소단위 cm
	1 = 1 cm
	10 = 10 cm
	100 = 1 m
	1000000 = 1km
	초당 프레임 수가 16이라면 단위 시간은 1/16 이다.
	따라서 이 때의 중력 가속도는 980 / 16 = 61

*/
#ifndef cEnergeticObject_H
#define cEnergeticObject_H

#include "cObject.h"
#include "cVector3D.h"
#include "cActiveObject.h"

typedef cVector3D<int> cEnergy;

class cEnergeticObject : 
	virtual public cObject,
	public cActiveObject{
protected:
	static cEnergy GravityAcceleration;
	cEnergy Energy;
	

public:
	cEnergeticObject();
	~cEnergeticObject();

	static void SetGravityAcceleration(cEnergy Accel);
	static cEnergy GetGravityAcceleration();

	void SetEnergy(cEnergy _Energy){ Energy = _Energy; }
	void AddEnergy(cEnergy _Energy){ Energy += _Energy; }
	cEnergy &GetEnergy(){ return Energy; }

	virtual int Act();

};

#endif
